Subject: Re: [PATCH 2/2] push: Add '--current', which pushes only the current branch

From: Junio C Hamano <[email-masked]>
Date: Sun, 18 Nov 2007 23:27:56 -0800

Steffen Prohaska <[email-masked]> writes:

>> Together with your [PATCH 1/2], I like the general direction
>> these patckes are taking us, but it feels a bit too hasty.  I
>> personally am not convinced that switching to --current for
>> everybody is a good move.
>>
>>> ...
>>
> I think 3) is the interesting case.  "git push" should do
> nothing by default.

NO WAY.

Making things cumbersome to everybody does not achieve anything
useful except for a false sense of equality, does it?

Drop that step (3).  That is not useful to anybody.